# Global

##

### Members

#### handlePassiveEvents :Boolean

  Indicate if the browser natively support passive event

  ##### Type:

  - Boolean

### Methods

#### fire($elements, options)

  Fire an event

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$elements` | HTMLElement | Object | Array.<HTMLElement> | Array.<Object> |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `eventsName` | String |  |  | Name of events separate by space
  `detail` | Object | <optional> |  | Object to send with the event
  `bubbles` | Boolean | <optional> | true | Only used for DOMM
  `cancelable` | Boolean | <optional> | true | Only used for DOMM

#### off($elements, options)

  Remove an event

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$elements` | HTMLElement | Object | Array.<HTMLElement> | Array.<Object> |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `eventsName` | String |  | Name of events separate by space
  `callback` | function | <optional> | Callback function

#### on($elements, options)

  Add an event listener

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$elements` | HTMLElement | Object | Array.<HTMLElement> | Array.<Object> |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `eventsName` | String |  | Name of events separate by a space
  `callback` | function |  | Callback function
  `selector` | String | <optional> | Css selector used for event delegation
  `capture` | Boolean | <optional> | Active or not capture event.

  `eventOptions`

  Object

  <optional>

  Native addEventListener options. Priority to options.capture if it's present.

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `capure` | Boolean | <optional> |
  `once` | Boolean | <optional> |
  `passive` | Boolean | <optional> |

#### one($elements, options)

  Add an event listener fired only one time

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `$elements` | HTMLElement | Object | Array.<HTMLElement> | Array.<Object> |

  `options`

  Object

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `eventsName` | String |  | Name of events separate by a space
  `selector` | String | <optional> | Css selector used for event delegation
  `callback` | Functio |  | Callback function
  `capture` | Boolean | <optional> | Active or not capture event.

  `eventOptions`

  Object

  <optional>

  Native addEventListener options. Priority to options.capture if it's present.

  ###### Properties

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `capure` | Boolean | <optional> |
  `once` | Boolean | <optional> |
  `passive` | Boolean | <optional> |

#### Search results